Package twisted :: Package im :: Module basesupport :: Class AbstractPerson

[show private | hide private]
[frames | no frames]

## Class AbstractPerson

Known Subclasses:
  `IRCPerson`, `TwistedWordsPerson`, `TOCPerson`

Method Summary
| `__init__(self, name, baseClient, chatui)`
| `__repr__(self)`
| `__str__(self)`
| ``getIdleTime`(self)` Returns a string.
| ``getPersonCommands`(self)` finds person commands
| `imperson_converse(self)`

Method Details

### getIdleTime(self)

Returns a string.

### getPersonCommands(self)

finds person commands

these commands are methods on me that start with imperson_; they are called with no arguments

Generated by Epydoc 1.1 on Sat Feb 15 21:17:50 2003 | http://epydoc.sf.net